Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.gui
Class TablePersister

    java.lang.Object
      org.ka2ddo.yaac.gui.TablePersister

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener, javax.swing.event.AncestorListener, javax.swing.event.TableColumnModelListener

    public class TablePersister

extends java.lang.Object
implements javax.swing.event.TableColumnModelListener, java.beans.PropertyChangeListener, javax.swing.event.AncestorListener

This class persists changes made to JTable TableColumnModels by the user.

Method Summary
`void` | `ancestorAdded(javax.swing.event.AncestorEvent event)` Called when the source or one of its ancestors is made visible either by setVisible(true) being called or by its being added to the component hierarchy.
`void` | `ancestorMoved(javax.swing.event.AncestorEvent event)` Called when either the source or one of its ancestors is moved.
`void` | `ancestorRemoved(javax.swing.event.AncestorEvent event)` Called when the source or one of its ancestors is made invisible either by setVisible(false) being called or by its being remove from the component hierarchy.
`void` | `columnAdded(javax.swing.event.TableColumnModelEvent e)` Tells listeners that a column was added to the model.
`void` | `columnMarginChanged(javax.swing.event.ChangeEvent e)` Tells listeners that a column was moved due to a margin change.
`void` | `columnMoved(javax.swing.event.TableColumnModelEvent e)` Tells listeners that a column was repositioned.
`void` | `columnRemoved(javax.swing.event.TableColumnModelEvent e)` Tells listeners that a column was removed from the model.
`void` | `columnSelectionChanged(javax.swing.event.ListSelectionEvent e)` Tells listeners that the selection model of the TableColumnModel changed.
`static TablePersister` | `getInstance()` Get the TablePersister instance.
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)` This method gets called when a bound property is changed.
`void` | `register(javax.swing.JTable table, java.lang.String name)` Monitor a table for persisting any column changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static TablePersister getInstance()

  Get the TablePersister instance.

  Returns:
    singleton TablePersister

### register

    public void register(javax.swing.JTable table,
                         java.lang.String name)

  Monitor a table for persisting any column changes.

  Parameters:
    `table` - JTable to monitor
    `name` - String name to use to remember the changes

### columnAdded

    public void columnAdded(javax.swing.event.TableColumnModelEvent e)

  Tells listeners that a column was added to the model.

  Specified by:
    `columnAdded` in interface `javax.swing.event.TableColumnModelListener`

### columnRemoved

    public void columnRemoved(javax.swing.event.TableColumnModelEvent e)

  Tells listeners that a column was removed from the model.

  Specified by:
    `columnRemoved` in interface `javax.swing.event.TableColumnModelListener`

### columnMoved

    public void columnMoved(javax.swing.event.TableColumnModelEvent e)

  Tells listeners that a column was repositioned.

  Specified by:
    `columnMoved` in interface `javax.swing.event.TableColumnModelListener`

### columnMarginChanged

    public void columnMarginChanged(javax.swing.event.ChangeEvent e)

  Tells listeners that a column was moved due to a margin change.

  Specified by:
    `columnMarginChanged` in interface `javax.swing.event.TableColumnModelListener`

### columnSelectionChanged

    public void columnSelectionChanged(javax.swing.event.ListSelectionEvent e)

  Tells listeners that the selection model of the TableColumnModel changed.

  Specified by:
    `columnSelectionChanged` in interface `javax.swing.event.TableColumnModelListener`

### ancestorAdded

    public void ancestorAdded(javax.swing.event.AncestorEvent event)

  Called when the source or one of its ancestors is made visible either by setVisible(true) being called or by its being added to the component hierarchy. The method is only called if the source has actually become visible. For this to be true all its parents must be visible and it must be in a hierarchy rooted at a Window

  Specified by:
    `ancestorAdded` in interface `javax.swing.event.AncestorListener`

### ancestorRemoved

    public void ancestorRemoved(javax.swing.event.AncestorEvent event)

  Called when the source or one of its ancestors is made invisible either by setVisible(false) being called or by its being remove from the component hierarchy. The method is only called if the source has actually become invisible. For this to be true at least one of its parents must be invisible or it is not in a hierarchy rooted at a Window

  Specified by:
    `ancestorRemoved` in interface `javax.swing.event.AncestorListener`

### ancestorMoved

    public void ancestorMoved(javax.swing.event.AncestorEvent event)

  Called when either the source or one of its ancestors is moved.

  Specified by:
    `ancestorMoved` in interface `javax.swing.event.AncestorListener`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  This method gets called when a bound property is changed.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Parameters:
    `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD